(setvar "cmdecho" 0)
(setq pre (getvar "dwgprefix"))
(defun tasd (s)
  (setq i 1 en1 "" en2 nil)
  (repeat (strlen s)
    (setq es (substr s i 1))
    (if (/= es "\t") (setq en1 (strcat en1 es)))
    (if (= es "\t") (progn
      (setq en2 (append en2 (list en1)))
      (setq en1 "")
    ))
    (setq i (+ i 1))
  )
  (append en2 (list en1))
)
(setq opp (open (strcat pre "wst.txt") "r"))
(read-line opp)
(setq lip nil)
(while
  (setq red1 (read-line opp))
  (setq red2 (tasd red1))
  (setq ws (atof (car red2)))
  (setq wp (atof (cadr red2)))
  (setq lip (append lip (list (list ws wp))))
)
(close opp)
(DEFUN C:DP  () (COMMAND "DIST" "NEA" PAUSE "PER"))
(defun c:pp ()
  (if (= ds1 nil) (setq ds1 "8"))
  (setq ds2 (getreal (strcat "Enter Width street <" ds1 ">: ")))
  (if (= ds2 nil) (setq ds2 (atof ds1)))
  (setq ds1 (rtos ds2 2 1))
  (setq df (cadr (assoc ds2 lip)))
  (setvar "offsetdist" df)
  (command "offset" "")
)
(defun c:pat1 ()
  (if (= dc nil) (setq dc 3.0))
  (setq dc2 (rtos dc 2 2))
  (setq dc (getdist (strcat "Enter Length <" dc2 ">: ")))
  (if (= dc nil) (setq dc (atof dc2)))
  (setq dl (* (sin (/ pi 4.0)) dc))
  (setvar "offsetdist" dl)
  (command "chamfer" "d" dl "")
  (command "chamfer")
)
(defun c:pat2 ()
  (setq opp (open (strcat pre "patp.txt") "r"))
  (setq lip (tasd (read-line opp)))
  (setq lis_p nil)
  (while
    (setq redp (read-line opp))
    (setq lis_p (append lis_p (list (tasd redp))))
  )
  (close opp)
  (setq opr (open (strcat pre "patr.txt") "r"))
  (setq lir (tasd (read-line opr)))
  (setq lis_r nil)
  (while
    (setq redr (read-line opr))
    (setq lis_r (append lis_r (list (tasd redr))))
  )
  (close opr)
  (if (= wd1 nil) (setq wd1 "8"))
  (if (= wd2 nil) (setq wd2 "8"))
  (setq w1 (getint (strcat "Enter Width ST_1 <" wd1 ">: ")))
  (if (= w1 nil) (setq w1 (atoi wd1)))
  (setq w2 (getint (strcat "Enter Width ST_2 <" wd2 ">: ")))
  (if (= w2 nil) (setq w2 (atoi wd2)))
  (setq wd1 (itoa w1) wd2 (itoa w2))
  (setq lis1 (assoc wd1 lis_p))
  (setq lis2 (assoc wd1 lis_r))
  (setq pp (nth (- (length lis1) (length (member wd2 lip))) lis1))
  (setq rr (nth (- (length lis2) (length (member wd2 lir))) lis2))
  (setq dl (* (sin (/ pi 4.0)) (atof pp)))
  (setvar "offsetdist" dl)
  (setvar "filletrad" (atof rr))
  (command "chamfer" "d" dl "")
  (command "chamfer")
)
(defun c:pat ()
  (if (= wd1 nil) (setq wd1 "8"))
  (if (= wd2 nil) (setq wd2 "8"))
  (setq w1 (getreal (strcat "Enter Width ST_1 <" wd1 ">: ")))
  (if (= w1 nil) (setq w1 (atof wd1)))
  (setq w2 (getreal (strcat "Enter Width ST_2 <" wd2 ">: ")))
  (if (= w2 nil) (setq w2 (atof wd2)))
  (setq wd1 (rtos w1 2 1))
  (setq wd2 (rtos w2 2 1))
  (setq dc (/ (+ w1 w2) 10.0))
  (setq df (* (sin (/ pi 4.0)) dc))
  (setq wp1 (cadr (assoc w1 lip)))
  (setq wp2 (cadr (assoc w2 lip)))
  (setq rps (rtos (+ (/ (+ wp1 wp2) 2) df) 2 0))
  (setvar "filletrad" (atoi rps))
  (setvar "offsetdist" df)
  (command "chamfer" "d" df "")
  (command "chamfer")
)